aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/system/.local/bin/ifinstalled
diff options
context:
space:
mode:
authorCraig Jennings <c@cjennings.net>2026-01-24 18:52:34 -0600
committerCraig Jennings <c@cjennings.net>2026-01-24 18:52:34 -0600
commit7d0f90da66985b402c6a25eb3eca8cc9e6060ced (patch)
tree94a4fefdccc5cc1750a7466b3764b44bf1b8d0b0 /dotfiles/system/.local/bin/ifinstalled
downloadarchsetup-7d0f90da66985b402c6a25eb3eca8cc9e6060ced.tar.gz
archsetup-7d0f90da66985b402c6a25eb3eca8cc9e6060ced.zip
fix(testing): remove obsolete --skip-slow-packages option
This flag was removed from archsetup but remained in test scripts.
Diffstat (limited to 'dotfiles/system/.local/bin/ifinstalled')
-rwxr-xr-xdotfiles/system/.local/bin/ifinstalled12
1 files changed, 12 insertions, 0 deletions
diff --git a/dotfiles/system/.local/bin/ifinstalled b/dotfiles/system/.local/bin/ifinstalled
new file mode 100755
index 0000000..c192eba
--- /dev/null
+++ b/dotfiles/system/.local/bin/ifinstalled
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Some optional functions in LARBS require programs not installed by default. I
+# use this little script to check to see if a command exists and if it doesn't
+# it informs the user that they need that command to continue. This is used in
+# various other scripts for clarity's sake.
+
+for x in "$@"; do
+ if ! which "$x" >/dev/null 2>&1 && ! pacman -Qq "$x" >/dev/null 2>&1; then
+ notify-send "📦 $x" "must be installed for this function." && exit 1 ;
+ fi
+done